#if !defined(DIALOG_PROG_H)
#define DIALOG_PROG_H

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "Common/StringConvert.h"

#define WM_OUTPUT_PROGRESS	(WM_APP + 100)
#define WM_EXIT_DIALOG		(WM_APP + 101)

struct REPLACEFILEINFO {
	CSysString OldName;
	UINT64 OldSize;
	FILETIME OldTime;
	CSysString NewName;
	UINT64 NewSize;
	FILETIME NewTime;
};

BOOL CALLBACK ProgressDialogProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
BOOL CALLBACK ConfigDialogProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
BOOL CALLBACK PasswordDialogProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);
BOOL CALLBACK ConfirmationDialogProc(HWND hwndDlg, UINT uMsg, WPARAM wParam, LPARAM lParam);

#endif // !defined(DIALOG_PROG_H)
